diff -ru linux/arch/alpha/Makefile linux-2.4.7/arch/alpha/Makefile
--- linux/arch/alpha/Makefile	Sun Dec  3 16:45:20 2000
+++ linux-2.4.7/arch/alpha/Makefile	Thu Jul 26 08:03:47 2001
@@ -121,7 +121,7 @@
 
 archmrproper:
 
-archdep:
+archdep: include/linux/version.h
 	@$(MAKEBOOT) dep
 
 vmlinux: arch/alpha/vmlinux.lds
diff -ru linux/arch/arm/Makefile linux-2.4.7/arch/arm/Makefile
--- linux/arch/arm/Makefile	Wed Jun 27 13:12:04 2001
+++ linux-2.4.7/arch/arm/Makefile	Thu Jul 26 08:03:55 2001
@@ -207,7 +207,7 @@
 archclean:
 	@$(MAKEBOOT) clean
 
-archdep: scripts/mkdep archsymlinks
+archdep: scripts/mkdep archsymlinks include/linux/version.h
 	@$(MAKETOOLS) dep
 	@$(MAKEBOOT) dep
 
diff -ru linux/arch/cris/Makefile linux-2.4.7/arch/cris/Makefile
--- linux/arch/cris/Makefile	Wed Jul  4 10:50:38 2001
+++ linux-2.4.7/arch/cris/Makefile	Thu Jul 26 08:03:47 2001
@@ -105,5 +105,5 @@
 
 archmrproper:
 
-archdep:
+archdep: include/linux/version.h
 	@$(MAKEBOOT) dep
diff -ru linux/arch/i386/Makefile linux-2.4.7/arch/i386/Makefile
--- linux/arch/i386/Makefile	Thu Apr 12 11:20:31 2001
+++ linux-2.4.7/arch/i386/Makefile	Thu Jul 26 08:03:54 2001
@@ -143,5 +143,5 @@
 
 archmrproper:
 
-archdep:
+archdep: include/linux/version.h
 	@$(MAKEBOOT) dep
diff -ru linux/arch/ia64/Makefile linux-2.4.7/arch/ia64/Makefile
--- linux/arch/ia64/Makefile	Thu Apr  5 11:51:46 2001
+++ linux-2.4.7/arch/ia64/Makefile	Thu Jul 26 08:03:46 2001
@@ -131,7 +131,7 @@
 	rm -f arch/$(ARCH)/vmlinux.lds
 	@$(MAKE) -C arch/$(ARCH)/tools mrproper
 
-archdep:
+archdep: include/linux/version.h
 	@$(MAKEBOOT) dep
 
 bootpfile:
diff -ru linux/arch/m68k/Makefile linux-2.4.7/arch/m68k/Makefile
--- linux/arch/m68k/Makefile	Mon Jun 11 18:15:27 2001
+++ linux-2.4.7/arch/m68k/Makefile	Thu Jul 26 08:03:53 2001
@@ -173,4 +173,4 @@
 
 archmrproper:
 
-archdep:
+archdep: include/linux/version.h
diff -ru linux/arch/mips/Makefile linux-2.4.7/arch/mips/Makefile
--- linux/arch/mips/Makefile	Mon Jul  2 12:56:40 2001
+++ linux-2.4.7/arch/mips/Makefile	Thu Jul 26 08:03:43 2001
@@ -292,7 +292,7 @@
 	@$(MAKEBOOT) mrproper
 	$(MAKE) -C arch/$(ARCH)/tools mrproper
 
-archdep:
+archdep: include/linux/version.h
 	if [ ! -f $(TOPDIR)/include/asm-$(ARCH)/offset.h ]; then \
 	 touch $(TOPDIR)/include/asm-$(ARCH)/offset.h; \
 	fi;
diff -ru linux/arch/mips64/Makefile linux-2.4.7/arch/mips64/Makefile
--- linux/arch/mips64/Makefile	Wed Jul  4 10:50:38 2001
+++ linux-2.4.7/arch/mips64/Makefile	Thu Jul 26 08:03:53 2001
@@ -165,7 +165,7 @@
 	@$(MAKEBOOT) mrproper
 	$(MAKE) -C arch/$(ARCH)/tools mrproper
 
-archdep:
+archdep: include/linux/version.h
 	if [ ! -f $(TOPDIR)/include/asm-$(ARCH)/offset.h ]; then \
 	 touch $(TOPDIR)/include/asm-$(ARCH)/offset.h; \
 	fi;
diff -ru linux/arch/parisc/Makefile linux-2.4.7/arch/parisc/Makefile
--- linux/arch/parisc/Makefile	Tue Dec  5 11:29:39 2000
+++ linux-2.4.7/arch/parisc/Makefile	Thu Jul 26 08:03:42 2001
@@ -88,4 +88,4 @@
 
 archmrproper:
 
-archdep:
+archdep: include/linux/version.h
diff -ru linux/arch/ppc/Makefile linux-2.4.7/arch/ppc/Makefile
--- linux/arch/ppc/Makefile	Wed Jul 18 06:14:01 2001
+++ linux-2.4.7/arch/ppc/Makefile	Thu Jul 26 08:03:52 2001
@@ -99,5 +99,5 @@
 
 archmrproper:
 
-archdep:
+archdep: include/linux/version.h
 	$(MAKEBOOT) fastdep
diff -ru linux/arch/s390/Makefile linux-2.4.7/arch/s390/Makefile
--- linux/arch/s390/Makefile	Wed Apr 11 18:02:27 2001
+++ linux-2.4.7/arch/s390/Makefile	Thu Jul 26 08:03:41 2001
@@ -69,5 +69,5 @@
 
 archmrproper:
 
-archdep:
+archdep: include/linux/version.h
 	@$(MAKEBOOT) dep
diff -ru linux/arch/s390x/Makefile linux-2.4.7/arch/s390x/Makefile
--- linux/arch/s390x/Makefile	Tue Feb 13 13:13:44 2001
+++ linux-2.4.7/arch/s390x/Makefile	Thu Jul 26 08:03:51 2001
@@ -66,5 +66,5 @@
 
 archmrproper:
 
-archdep:
+archdep: include/linux/version.h
 	@$(MAKEBOOT) dep
diff -ru linux/arch/sh/Makefile linux-2.4.7/arch/sh/Makefile
--- linux/arch/sh/Makefile	Fri Dec 29 13:07:20 2000
+++ linux-2.4.7/arch/sh/Makefile	Thu Jul 26 08:03:56 2001
@@ -98,5 +98,5 @@
 archmrproper:
 	rm -f arch/sh/vmlinux.lds
 
-archdep:
+archdep: include/linux/version.h
 	@$(MAKEBOOT) dep
diff -ru linux/arch/sparc/Makefile linux-2.4.7/arch/sparc/Makefile
--- linux/arch/sparc/Makefile	Fri Dec 29 13:07:20 2000
+++ linux-2.4.7/arch/sparc/Makefile	Thu Jul 26 08:03:51 2001
@@ -60,7 +60,7 @@
 
 archdep: check_asm
 
-check_asm:
+check_asm: include/linux/version.h
 	$(MAKE) -C arch/sparc/kernel check_asm
 
 tftpboot.img:
diff -ru linux/arch/sparc64/Makefile linux-2.4.7/arch/sparc64/Makefile
--- linux/arch/sparc64/Makefile	Fri Dec 29 13:07:21 2000
+++ linux-2.4.7/arch/sparc64/Makefile	Thu Jul 26 07:58:36 2001
@@ -98,7 +98,7 @@
 
 archdep: check_asm
 
-check_asm:
+check_asm: include/linux/version.h
 	$(MAKE) -C arch/sparc64/kernel check_asm
 
 tftpboot.img:

